#include <stdio.h>
#include <fcntl.h>
#include <string.h>
#include <stdlib.h>
#define  TRINITDEF
#include "trace.h"

char   filename[9];
char   fileext[5];
char   filedir[66];
char   filedrive[3];
char   filecat[80];

extern char   *optarg;
extern int    optind;

void get_options(int ac, char *av[], char *opt);
int  getopt(int argc, char *argv[], char *optionS, int print);

void Trace_Init(ac, av, start, opl)

int  ac;
char *av[];
int  start;
char *opl;

{
#ifdef TRC

   if((start != 0) && (start != 2)) {
     get_options(ac, av, opl);
     if((trace_file=fopen(tracefile, "a+")) == 0) {
        fprintf(stderr,"%s: Unable to open trace file [%s].",av[0],tracefile);
        exit(1);
     } else 
        if(start == 1)
          trace(T_ALWAYS,"******** trace started ********\nFILE: %s\ntracelevel: %ld\n",av[0],Trace_level);
   } else {
     if(start == 0)
       trace(T_ALWAYS,"******** trace complete ********\n");
     fclose(trace_file);
   }
#endif
}

void get_options(ac, av, opl)

int   ac;
char  *av[];
char  *opl;

{
#ifdef TRC
    char    ch;

    optind = 1;
    strcat(opl,"t:f:");

    while((ch = getopt(ac, av, opl, 0)) != EOF)

       switch(ch) {


         case 'f':  strcpy(tracefile, optarg);
                    break;

         case 't':  Trace_level = atol(optarg);
                    break;

         case '?':  break;

         default:   break;
       }
#endif
}
